cURL
curl --request GET \ --url https://api.mottostreaming.com/monetization/transactions/v1/{transaction_id} \ --header 'Authorization: Bearer <token>'
{ "transaction": { "offer_id": "<string>", "id": "<string>", "project_id": "<string>", "user_id": "<string>", "offer_title": "<string>", "offer_description": "<string>", "msrp": { "currency_code": "<string>", "units": "<string>", "nanos": 123 }, "subtotal_amount": { "currency_code": "<string>", "units": "<string>", "nanos": 123 }, "total_amount": { "currency_code": "<string>", "units": "<string>", "nanos": 123 }, "vat_amount": { "currency_code": "<string>", "units": "<string>", "nanos": 123 }, "discount_code": "<string>", "discount_amount": { "currency_code": "<string>", "units": "<string>", "nanos": 123 }, "discount_percentage": 123, "payment_method_id": "<string>", "subscription_id": "<string>", "create_time": "2023-11-07T05:31:56Z", "capture_time": "2023-11-07T05:31:56Z", "is_test": true, "offer_name": "<string>" } }
GetTransaction
Returns transaction information by transaction ID.
Documentation IndexFetch the complete documentation index at: https://docs.mottostreaming.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Show child attributes